aboutsummaryrefslogtreecommitdiff
path: root/boca-1.5.2/doc/problemexamples/formiga
diff options
context:
space:
mode:
Diffstat (limited to 'boca-1.5.2/doc/problemexamples/formiga')
-rwxr-xr-xboca-1.5.2/doc/problemexamples/formiga/compare/c97
-rwxr-xr-xboca-1.5.2/doc/problemexamples/formiga/compare/cpp97
-rwxr-xr-xboca-1.5.2/doc/problemexamples/formiga/compare/java97
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/compile/c172
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/compile/cpp172
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/compile/java189
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/compile/pas172
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/description/formiga.txt1
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/description/problem.info3
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/input/formiga15
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/limits/c15
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/limits/cpp15
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/limits/java15
-rw-r--r--boca-1.5.2/doc/problemexamples/formiga/output/formiga14
-rwxr-xr-xboca-1.5.2/doc/problemexamples/formiga/run/c128
-rwxr-xr-xboca-1.5.2/doc/problemexamples/formiga/run/cpp128
-rwxr-xr-xboca-1.5.2/doc/problemexamples/formiga/run/java183
-rwxr-xr-xboca-1.5.2/doc/problemexamples/formiga/tests/c36
18 files changed, 0 insertions, 1549 deletions
diff --git a/boca-1.5.2/doc/problemexamples/formiga/compare/c b/boca-1.5.2/doc/problemexamples/formiga/compare/c
deleted file mode 100755
index 4998be3..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/compare/c
+++ /dev/null
@@ -1,97 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA Development Team (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-# // Last modified 21/jul/2012 by cassio@ime.usp.br
-#
-# This script receives:
-# $1 team_output
-# $2 sol_output
-# $3 problem_input (might be used by some specific checkers, here it is not)
-#
-# BOCA reads the last line of the standard output
-# and pass it to judges
-#
-if [ ! -r "$1" -o ! -r "$2" ]; then
- echo "Parameter problem"
- exit 43
-fi
-
-# Next lines of this script just compares team_output and sol_output,
-# although it is possible to change them to more complex evaluations.
-
-diff -q "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff \"$1\" \"$2\" # files match"
- echo "Files match exactly"
- exit 4
-fi
-diff -q -b "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -b \"$1\" \"$2\" # files match"
- echo -e "diff -c \"$1\" \"$2\" # files dont match - see output"
- diff -c "$1" "$2"
- echo "Files match with differences in the amount of white spaces"
- exit 5
-fi
-diff -q -b -B "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -b -B \"$1\" \"$2\" # files match"
- echo -e "diff -c -b \"$1\" \"$2\" # files dont match - see output"
- diff -c -b "$1" "$2"
- echo "Files match with differences in the amount of white spaces and blank lines"
- exit 5
-fi
-diff -q -i -b -B "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -i -b -B \"$1\" \"$2\" # files match"
- echo -e "diff -c -b -B \"$1\" \"$2\" # files dont match - see output"
- diff -c -b -B "$1" "$2"
- echo "Files match if we ignore case and differences in the amount of white spaces and blank lines"
- exit 5
-fi
-diff -q -b -B -w "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -b -B -w \"$1\" \"$2\" # files match"
- echo -e "diff -c -i -b -B \"$1\" \"$2\" # files dont match - see output"
- diff -c -i -b -B "$1" "$2"
- echo "Files match if we discard all white spaces"
- exit 5
-fi
-diff -q -i -b -B -w "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -i -b -B -w \"$1\" \"$2\" # files match"
- echo -e "diff -c -b -B -w \"$1\" \"$2\" # files dont match - see output"
- diff -c -b -B -w "$1" "$2"
- echo "Files match if we ignore case and discard all white spaces"
- exit 5
-fi
-wd=`which wdiff`
-if [ "$wd" != "" ]; then
- wdiff \"$1\" \"$2\" >/dev/null 2>/dev/null
- if [ "$?" == "0" ]; then
- echo -e "wdiff \"$1\" \"$2\" # files match"
- echo -e "diff -c -i -b -B -w \"$1\" \"$2\" # files dont match - see output"
- diff -c -i -b -B -w "$1" "$2"
- echo "BUT Files match if we compare word by word, ignoring everything else, using wdiff"
- echo "diff has a bug that, if a line contains a single space, this is not discarded by -w"
- exit 5
- fi
-fi
-echo -e "### files dont match - see output"
-diff -c -i -b -B -w "$1" "$2"
-echo "Differences found"
-exit 6
diff --git a/boca-1.5.2/doc/problemexamples/formiga/compare/cpp b/boca-1.5.2/doc/problemexamples/formiga/compare/cpp
deleted file mode 100755
index 4998be3..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/compare/cpp
+++ /dev/null
@@ -1,97 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA Development Team (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-# // Last modified 21/jul/2012 by cassio@ime.usp.br
-#
-# This script receives:
-# $1 team_output
-# $2 sol_output
-# $3 problem_input (might be used by some specific checkers, here it is not)
-#
-# BOCA reads the last line of the standard output
-# and pass it to judges
-#
-if [ ! -r "$1" -o ! -r "$2" ]; then
- echo "Parameter problem"
- exit 43
-fi
-
-# Next lines of this script just compares team_output and sol_output,
-# although it is possible to change them to more complex evaluations.
-
-diff -q "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff \"$1\" \"$2\" # files match"
- echo "Files match exactly"
- exit 4
-fi
-diff -q -b "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -b \"$1\" \"$2\" # files match"
- echo -e "diff -c \"$1\" \"$2\" # files dont match - see output"
- diff -c "$1" "$2"
- echo "Files match with differences in the amount of white spaces"
- exit 5
-fi
-diff -q -b -B "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -b -B \"$1\" \"$2\" # files match"
- echo -e "diff -c -b \"$1\" \"$2\" # files dont match - see output"
- diff -c -b "$1" "$2"
- echo "Files match with differences in the amount of white spaces and blank lines"
- exit 5
-fi
-diff -q -i -b -B "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -i -b -B \"$1\" \"$2\" # files match"
- echo -e "diff -c -b -B \"$1\" \"$2\" # files dont match - see output"
- diff -c -b -B "$1" "$2"
- echo "Files match if we ignore case and differences in the amount of white spaces and blank lines"
- exit 5
-fi
-diff -q -b -B -w "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -b -B -w \"$1\" \"$2\" # files match"
- echo -e "diff -c -i -b -B \"$1\" \"$2\" # files dont match - see output"
- diff -c -i -b -B "$1" "$2"
- echo "Files match if we discard all white spaces"
- exit 5
-fi
-diff -q -i -b -B -w "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -i -b -B -w \"$1\" \"$2\" # files match"
- echo -e "diff -c -b -B -w \"$1\" \"$2\" # files dont match - see output"
- diff -c -b -B -w "$1" "$2"
- echo "Files match if we ignore case and discard all white spaces"
- exit 5
-fi
-wd=`which wdiff`
-if [ "$wd" != "" ]; then
- wdiff \"$1\" \"$2\" >/dev/null 2>/dev/null
- if [ "$?" == "0" ]; then
- echo -e "wdiff \"$1\" \"$2\" # files match"
- echo -e "diff -c -i -b -B -w \"$1\" \"$2\" # files dont match - see output"
- diff -c -i -b -B -w "$1" "$2"
- echo "BUT Files match if we compare word by word, ignoring everything else, using wdiff"
- echo "diff has a bug that, if a line contains a single space, this is not discarded by -w"
- exit 5
- fi
-fi
-echo -e "### files dont match - see output"
-diff -c -i -b -B -w "$1" "$2"
-echo "Differences found"
-exit 6
diff --git a/boca-1.5.2/doc/problemexamples/formiga/compare/java b/boca-1.5.2/doc/problemexamples/formiga/compare/java
deleted file mode 100755
index 4998be3..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/compare/java
+++ /dev/null
@@ -1,97 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA Development Team (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-# // Last modified 21/jul/2012 by cassio@ime.usp.br
-#
-# This script receives:
-# $1 team_output
-# $2 sol_output
-# $3 problem_input (might be used by some specific checkers, here it is not)
-#
-# BOCA reads the last line of the standard output
-# and pass it to judges
-#
-if [ ! -r "$1" -o ! -r "$2" ]; then
- echo "Parameter problem"
- exit 43
-fi
-
-# Next lines of this script just compares team_output and sol_output,
-# although it is possible to change them to more complex evaluations.
-
-diff -q "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff \"$1\" \"$2\" # files match"
- echo "Files match exactly"
- exit 4
-fi
-diff -q -b "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -b \"$1\" \"$2\" # files match"
- echo -e "diff -c \"$1\" \"$2\" # files dont match - see output"
- diff -c "$1" "$2"
- echo "Files match with differences in the amount of white spaces"
- exit 5
-fi
-diff -q -b -B "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -b -B \"$1\" \"$2\" # files match"
- echo -e "diff -c -b \"$1\" \"$2\" # files dont match - see output"
- diff -c -b "$1" "$2"
- echo "Files match with differences in the amount of white spaces and blank lines"
- exit 5
-fi
-diff -q -i -b -B "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -i -b -B \"$1\" \"$2\" # files match"
- echo -e "diff -c -b -B \"$1\" \"$2\" # files dont match - see output"
- diff -c -b -B "$1" "$2"
- echo "Files match if we ignore case and differences in the amount of white spaces and blank lines"
- exit 5
-fi
-diff -q -b -B -w "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -b -B -w \"$1\" \"$2\" # files match"
- echo -e "diff -c -i -b -B \"$1\" \"$2\" # files dont match - see output"
- diff -c -i -b -B "$1" "$2"
- echo "Files match if we discard all white spaces"
- exit 5
-fi
-diff -q -i -b -B -w "$1" "$2" >/dev/null 2>/dev/null
-if [ "$?" == "0" ]; then
- echo -e "diff -c -i -b -B -w \"$1\" \"$2\" # files match"
- echo -e "diff -c -b -B -w \"$1\" \"$2\" # files dont match - see output"
- diff -c -b -B -w "$1" "$2"
- echo "Files match if we ignore case and discard all white spaces"
- exit 5
-fi
-wd=`which wdiff`
-if [ "$wd" != "" ]; then
- wdiff \"$1\" \"$2\" >/dev/null 2>/dev/null
- if [ "$?" == "0" ]; then
- echo -e "wdiff \"$1\" \"$2\" # files match"
- echo -e "diff -c -i -b -B -w \"$1\" \"$2\" # files dont match - see output"
- diff -c -i -b -B -w "$1" "$2"
- echo "BUT Files match if we compare word by word, ignoring everything else, using wdiff"
- echo "diff has a bug that, if a line contains a single space, this is not discarded by -w"
- exit 5
- fi
-fi
-echo -e "### files dont match - see output"
-diff -c -i -b -B -w "$1" "$2"
-echo "Differences found"
-exit 6
diff --git a/boca-1.5.2/doc/problemexamples/formiga/compile/c b/boca-1.5.2/doc/problemexamples/formiga/compile/c
deleted file mode 100644
index 5376708..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/compile/c
+++ /dev/null
@@ -1,172 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 21/july/2012 by cassio@ime.usp.br
-#
-# parameters are:
-# $1 source_file
-# $2 exe_file (default run.exe)
-# $3 timelimit (optional, limit to run all the repetitions, by default only one repetition)
-# $4 maximum allowed memory (in MBytes, default 512M)
-#
-# the output of the submission should be directed to the standard output
-#
-# the return code show what happened (according to safeexec):
-# 0 ok
-# 1 compile error
-# 2 runtime error
-# 3 timelimit exceeded
-# 4 internal error
-# 5 parameter error
-# 6 internal error
-# 7 memory limit exceeded
-# 8 security threat
-# 9 runtime error
-# other_codes are unknown to boca: in this case BOCA will present the
-# last line of standard output to the judge
-
-umask 0022
-
-if [ "$1" == "" ]; then
- echo "parameter problem"
- exit 43
-fi
-if [ ! -r "$1" ]; then
- echo "$1 not found or it's not readable"
- exit 44
-fi
-name="$1"
-if [ ! -r "$1" ]; then
- echo "$1 not found or it's not readable"
- exit 44
-fi
-mkdir -p src
-if [ "${name##*.}" == "zip" -a "${name##*.}" == "ZIP" ]; then
- unzip "$name" -d src
- name="*.c"
-else
- cp "$name" src
-fi
-id -u bocajail >/dev/null 2>/dev/null
-if [ $? == 0 ]; then
- bocau=`id -u bocajail`
- bocag=`id -g bocajail`
- chown bocajail.nogroup .
-else
- bocau=`id -u nobody`
- bocag=`id -g nobody`
- chown nobody.nogroup .
-fi
-if [ "$bocau" == "" -o "$bocag" == "" ]; then
- echo "error finding user to run script"
- exit 43
-fi
-
-# this script makes use of safeexec to execute the code with less privilegies
-# make sure that directories below are correct.
-sf=`which safeexec`
-[ -x "$sf" ] || sf=/usr/bin/safeexec
-if [ ! -x $sf ]; then
- echo "$sf not found or it's not executable"
- exit 46
-fi
-maxm=512000
-if [ "$4" != "" ]; then
- if [ "$4" -gt "0" ]; then
- maxm=${4}000
- fi
-fi
-
-# setting up the timelimit according to the problem
-if [ "$3" == "" ]; then
-time=5
-else
-time=$3
-fi
-let "ttime = $time + 30"
-
-if [ "$2" == "" ]; then
- exe=run.exe
-else
- exe=$2
-fi
-
-rm -f $exe compileit.retcode runit.retcode 2>/dev/null
-cat <<EOF > compileit.sh
-#!/bin/bash
-cc=\`which gcc\`
-[ -x "\$cc" ] || cc=/usr/bin/gcc
-if [ ! -x "\$cc" ]; then
- echo "\$cc not found or it's not executable"
- exit 47
-fi
-cd src
-"\$cc" -static -O2 -o ../$exe $name -lm
-echo \$? > ../compileit.retcode
-exit 0
-EOF
-chmod 755 compileit.sh
-
-cdir=`pwd`
-echo "Current directory is $cdir" >&2
-echo $cdir | grep -q "/bocajail"
-if [ $? == 0 ]; then
- cdir=`echo $cdir | sed "s/.*\/bocajail//"`
- echo "Internal directory is $cdir"
- cat <<EOF > runit.sh
-#!/bin/bash
-cd "$cdir"
-[ -f /proc/cpuinfo ] || /bin/mount -t proc proc /proc
-#/bin/mount --bind /dev /dev
-[ -d /sys/kernel ] || /bin/mount -t sysfs sysfs /sys
-$sf -r1 -F1000 -n0 -U$bocau -G$bocag -C. -ostdout0 -estderr0 -d$maxm -m$maxm -f20000 -t$ttime -T$ttime ./compileit.sh
-echo \$? > runit.retcode
-if [ ! -d /bocajail ]; then
- /bin/umount /proc 2>/dev/null
- #/bin/umount /dev
- /bin/umount /sys 2>/dev/null
-fi
-EOF
- chmod 755 runit.sh
- chroot /bocajail "$cdir/runit.sh"
- if [ -r runit.retcode ]; then
- ret=`cat runit.retcode`
- else
- ret=99
- fi
-else
- echo "COMPILATION IS NOT BEING CHROOTED -- THIS IS NOT AN IDEAL SETTING"
- $sf -r1 -F1000 -n0 -U$bocau -G$bocag -C. -ostdout0 -estderr0 -d$maxm -m$maxm -f20000 -t$ttime -T$ttime ./compileit.sh
- ret=$?
-fi
-if [ -f "stdout0" ]; then
- cat "stdout0"
-fi
-if [ -f "stderr0" ]; then
- cat "stderr0"
-fi
-rm -rf src/
-if [ "$ret" != "0" ]; then
- echo "Compilation Error: $ret"
- exit $ret
-fi
-ret=`cat compileit.retcode`
-if [ "$ret" != "0" ]; then
- echo "Compilation Error: $ret"
- ret=1
-fi
-exit $ret
diff --git a/boca-1.5.2/doc/problemexamples/formiga/compile/cpp b/boca-1.5.2/doc/problemexamples/formiga/compile/cpp
deleted file mode 100644
index 6a61bc1..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/compile/cpp
+++ /dev/null
@@ -1,172 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 21/july/2012 by cassio@ime.usp.br
-#
-# parameters are:
-# $1 source_file
-# $2 exe_file (default run.exe)
-# $3 timelimit (optional, limit to run all the repetitions, by default only one repetition)
-# $4 maximum allowed memory (in MBytes)
-#
-# the output of the submission should be directed to the standard output
-#
-# the return code show what happened (according to safeexec):
-# 0 ok
-# 1 compile error
-# 2 runtime error
-# 3 timelimit exceeded
-# 4 internal error
-# 5 parameter error
-# 6 internal error
-# 7 memory limit exceeded
-# 8 security threat
-# 9 runtime error
-# other_codes are unknown to boca: in this case BOCA will present the
-# last line of standard output to the judge
-
-umask 0022
-
-if [ "$1" == "" ]; then
- echo "parameter problem"
- exit 43
-fi
-if [ ! -r "$1" ]; then
- echo "$1 not found or it's not readable"
- exit 44
-fi
-name="$1"
-if [ ! -r "$1" ]; then
- echo "$1 not found or it's not readable"
- exit 44
-fi
-mkdir -p src
-if [ "${name##*.}" == "zip" -a "${name##*.}" == "ZIP" ]; then
- unzip "$name" -d src
- name="*.c"
-else
- cp "$name" src
-fi
-id -u bocajail >/dev/null 2>/dev/null
-if [ $? == 0 ]; then
- bocau=`id -u bocajail`
- bocag=`id -g bocajail`
- chown bocajail.nogroup .
-else
- bocau=`id -u nobody`
- bocag=`id -g nobody`
- chown nobody.nogroup .
-fi
-if [ "$bocau" == "" -o "$bocag" == "" ]; then
- echo "error finding user to run script"
- exit 43
-fi
-
-# this script makes use of safeexec to execute the code with less privilegies
-# make sure that directories below are correct.
-sf=`which safeexec`
-[ -x "$sf" ] || sf=/usr/bin/safeexec
-if [ ! -x $sf ]; then
- echo "$sf not found or it's not executable"
- exit 46
-fi
-maxm=512000
-if [ "$4" != "" ]; then
- if [ "$4" -gt "0" ]; then
- maxm=${4}000
- fi
-fi
-
-# setting up the timelimit according to the problem
-if [ "$3" == "" ]; then
-time=5
-else
-time=$3
-fi
-let "ttime = $time + 30"
-
-if [ "$2" == "" ]; then
- exe=run.exe
-else
- exe=$2
-fi
-
-rm -f $exe compileit.retcode runit.retcode 2>/dev/null
-cat <<EOF > compileit.sh
-#!/bin/bash
-cc=\`which g++\`
-[ -x "\$cc" ] || cc=/usr/bin/g++
-if [ ! -x "\$cc" ]; then
- echo "\$cc not found or it's not executable"
- exit 47
-fi
-cd src
-"\$cc" -static -O2 -o ../$exe $name -lm
-echo \$? > ../compileit.retcode
-exit 0
-EOF
-chmod 755 compileit.sh
-
-cdir=`pwd`
-echo "Current directory is $cdir" >&2
-echo $cdir | grep -q "/bocajail"
-if [ $? == 0 ]; then
- cdir=`echo $cdir | sed "s/.*\/bocajail//"`
- echo "Internal directory is $cdir"
- cat <<EOF > runit.sh
-#!/bin/bash
-cd "$cdir"
-[ -f /proc/cpuinfo ] || /bin/mount -t proc proc /proc
-#/bin/mount --bind /dev /dev
-[ -d /sys/kernel ] || /bin/mount -t sysfs sysfs /sys
-$sf -r1 -F1000 -n0 -U$bocau -G$bocag -C. -ostdout0 -estderr0 -d$maxm -m$maxm -f20000 -t$ttime -T$ttime ./compileit.sh
-echo \$? > runit.retcode
-if [ ! -d /bocajail ]; then
- /bin/umount /proc 2>/dev/null
- #/bin/umount /dev
- /bin/umount /sys 2>/dev/null
-fi
-EOF
- chmod 755 runit.sh
- chroot /bocajail "$cdir/runit.sh"
- if [ -r runit.retcode ]; then
- ret=`cat runit.retcode`
- else
- ret=99
- fi
-else
- echo "COMPILATION IS NOT BEING CHROOTED -- THIS IS NOT AN IDEAL SETTING"
- $sf -r1 -F1000 -n0 -U$bocau -G$bocag -C. -ostdout0 -estderr0 -d$maxm -m$maxm -f20000 -t$ttime -T$ttime ./compileit.sh
- ret=$?
-fi
-if [ -f "stdout0" ]; then
- cat "stdout0"
-fi
-if [ -f "stderr0" ]; then
- cat "stderr0"
-fi
-rm -rf src/
-if [ "$ret" != "0" ]; then
- echo "Compilation Error: $ret"
- exit $ret
-fi
-ret=`cat compileit.retcode`
-if [ "$ret" != "0" ]; then
- echo "Compilation Error: $ret"
- ret=1
-fi
-exit $ret
diff --git a/boca-1.5.2/doc/problemexamples/formiga/compile/java b/boca-1.5.2/doc/problemexamples/formiga/compile/java
deleted file mode 100644
index f62215b..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/compile/java
+++ /dev/null
@@ -1,189 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 21/july/2012 by cassio@ime.usp.br
-#
-# parameters are:
-# $1 source_file
-# $2 exe_file (default run.jar)
-# $3 timelimit (optional, limit to run all the repetitions, by default only one repetition)
-# $4 maximum allowed memory (in MBytes)
-#
-# the output of the submission should be directed to the standard output
-#
-# the return code show what happened (according to safeexec):
-# 0 ok
-# 1 compile error
-# 2 runtime error
-# 3 timelimit exceeded
-# 4 internal error
-# 5 parameter error
-# 6 internal error
-# 7 memory limit exceeded
-# 8 security threat
-# 9 runtime error
-# other_codes are unknown to boca: in this case BOCA will present the
-# last line of standard output to the judge
-
-umask 0022
-if [ "$1" == "" ]; then
- echo "parameter problem"
- exit 43
-fi
-name="$1"
-if [ ! -r "$1" ]; then
- echo "$1 not found or it's not readable"
- exit 44
-fi
-id -u bocajail >/dev/null 2>/dev/null
-if [ $? == 0 ]; then
- bocau=`id -u bocajail`
- bocag=`id -g bocajail`
- chown bocajail.nogroup .
-else
- bocau=`id -u nobody`
- bocag=`id -g nobody`
- chown nobody.nogroup .
-fi
-if [ "$bocau" == "" -o "$bocag" == "" ]; then
- echo "error finding user to run script"
- exit 43
-fi
-
-mkdir -p src
-if [ "${name##*.}" == "zip" -a "${name##*.}" == "ZIP" ]; then
- unzip "$name" -d src
- if [ "${name##*.}" == "zip" ]; then
- name=`basename $name .zip`
- else
- name=`basename $name .ZIP`
- fi
-else
- cp $name src
-fi
-chown -R $bocau src
-chmod -R 700 src
-
-# this script makes use of safeexec to execute the code with less privilegies
-# make sure that directories below are correct.
-sf=`which safeexec`
-[ -x "$sf" ] || sf=/usr/bin/safeexec
-if [ ! -x $sf ]; then
- echo "$sf not found or it's not executable"
- exit 46
-fi
-
-time=$4
-if [ "$time" -gt "0" ]; then
- let "ttime = $time + 30"
-else
- time=1
- ttime=30
-fi
-
-maxm=512
-if [ "$4" != "" -a "$4" -gt "0" ]; then
-maxm=$4
-fi
-
-if [ "$2" == "" ]; then
- jarfile=run.jar
-else
- jarfile=$2
-fi
-
-cdir=`pwd`
-echo "Current directory is $cdir" >&2
-
-cat <<EOF > compileit.sh
-#!/bin/bash
-javac=`which javac`
-[ -x "\$javac" ] || javac=/usr/bin/javac
-if [ ! -x \$javac ]; then
- echo "\$javac not found or it's not executable"
- exit 47
-fi
-jar=`which jar`
-[ -x "\$jar" ] || jar=/usr/bin/jar
-if [ ! -x \$jar ]; then
- echo "\$jar not found or it's not executable"
- exit 47
-fi
-export CLASSPATH=.:\$CLASSPATH
-cd src
-if [ -r "$name" ]; then
- \$javac "$name"
- echo \$? > ../compileit.retcode
-fi
-find . -name "*.java" | while read lin; do
- \$javac "\$lin"
- echo \$? > ../compileit.retcode
-done
-rm -f ../$jarfile
-\$jar cvf ../$jarfile *
-exit 0
-EOF
-chmod 755 compileit.sh
-
-echo $cdir | grep -q "/bocajail"
-if [ $? == 0 ]; then
- cdir=`echo $cdir | sed "s/.*\/bocajail//"`
- cat <<EOF > runit.sh
-#!/bin/bash
-cd "$cdir"
-[ -f /proc/cpuinfo ] || /bin/mount -t proc proc /proc
-#/bin/mount --bind /dev /dev
-[ -d /sys/kernel ] || /bin/mount -t sysfs sysfs /sys
-
-$sf -r1 -t$time -T$ttime -F256 -u256 -ostdout0 -estderr0 -U$bocau -G$bocag -n0 -C. -f20000 -d20000000 -m20000000 ./compileit.sh
-echo \$? > runit.retcode
-if [ ! -d /bocajail ]; then
- /bin/umount /proc 2>/dev/null
- #/bin/umount /dev
- /bin/umount /sys 2>/dev/null
-fi
-EOF
- chmod 755 runit.sh
- chroot /bocajail "$cdir/runit.sh"
- if [ -r runit.retcode ]; then
- ret=`cat runit.retcode`
- else
- ret=99
- fi
-else
- echo "COMPILATION IS NOT BEING CHROOTED -- THIS IS NOT AN IDEAL SETTING"
-# $javac "$name"
- $sf -r1 -t$time -T$ttime -F256 -u256 -U$bocau -G$bocag -ostdout0 -estderr0 -n0 -C. -d20000000 -m20000000 ./compileit.sh
- ret=$?
-fi
-if [ -f "stdout0" ]; then
- cat "stdout0"
-fi
-if [ -f "stderr0" ]; then
- cat "stderr0"
-fi
-rm -rf src/
-if [ "$ret" != "0" ]; then
- echo "Compilation Error: $ret"
- exit $ret
-fi
-ret=`cat compileit.retcode`
-if [ "$ret" != "0" ]; then
- echo "Compilation Error: $ret"
- ret=1
-fi
-exit $ret
diff --git a/boca-1.5.2/doc/problemexamples/formiga/compile/pas b/boca-1.5.2/doc/problemexamples/formiga/compile/pas
deleted file mode 100644
index e0b73ca..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/compile/pas
+++ /dev/null
@@ -1,172 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 28/aug/2012 by cassio@ime.usp.br
-#
-# parameters are:
-# $1 source_file
-# $2 exe_file (default run.exe)
-# $3 timelimit (optional, limit to run all the repetitions, by default only one repetition)
-# $4 maximum allowed memory (in MBytes, default 512M)
-#
-# the output of the submission should be directed to the standard output
-#
-# the return code show what happened (according to safeexec):
-# 0 ok
-# 1 compile error
-# 2 runtime error
-# 3 timelimit exceeded
-# 4 internal error
-# 5 parameter error
-# 6 internal error
-# 7 memory limit exceeded
-# 8 security threat
-# 9 runtime error
-# other_codes are unknown to boca: in this case BOCA will present the
-# last line of standard output to the judge
-
-umask 0022
-
-if [ "$1" == "" ]; then
- echo "parameter problem"
- exit 43
-fi
-if [ ! -r "$1" ]; then
- echo "$1 not found or it's not readable"
- exit 44
-fi
-name="$1"
-if [ ! -r "$1" ]; then
- echo "$1 not found or it's not readable"
- exit 44
-fi
-mkdir -p src
-if [ "${name##*.}" == "zip" -a "${name##*.}" == "ZIP" ]; then
- unzip "$name" -d src
- name="*.c"
-else
- cp "$name" src
-fi
-id -u bocajail >/dev/null 2>/dev/null
-if [ $? == 0 ]; then
- bocau=`id -u bocajail`
- bocag=`id -g bocajail`
- chown bocajail.nogroup .
-else
- bocau=`id -u nobody`
- bocag=`id -g nobody`
- chown nobody.nogroup .
-fi
-if [ "$bocau" == "" -o "$bocag" == "" ]; then
- echo "error finding user to run script"
- exit 43
-fi
-
-# this script makes use of safeexec to execute the code with less privilegies
-# make sure that directories below are correct.
-sf=`which safeexec`
-[ -x "$sf" ] || sf=/usr/bin/safeexec
-if [ ! -x $sf ]; then
- echo "$sf not found or it's not executable"
- exit 46
-fi
-maxm=512000
-if [ "$4" != "" ]; then
- if [ "$4" -gt "0" ]; then
- maxm=${4}000
- fi
-fi
-
-# setting up the timelimit according to the problem
-if [ "$3" == "" ]; then
-time=5
-else
-time=$3
-fi
-let "ttime = $time + 30"
-
-if [ "$2" == "" ]; then
- exe=run.exe
-else
- exe=$2
-fi
-
-rm -f $exe compileit.retcode runit.retcode 2>/dev/null
-cat <<EOF > compileit.sh
-#!/bin/bash
-cc=\`which fpc\`
-[ -x "\$cc" ] || cc=/usr/bin/fpc
-if [ ! -x "\$cc" ]; then
- echo "\$cc not found or it's not executable"
- exit 47
-fi
-cd src
-"\$cc" -Xt -XS -O2 -o../$exe $name
-echo \$? > ../compileit.retcode
-exit 0
-EOF
-chmod 755 compileit.sh
-
-cdir=`pwd`
-echo "Current directory is $cdir" >&2
-echo $cdir | grep -q "/bocajail"
-if [ $? == 0 ]; then
- cdir=`echo $cdir | sed "s/.*\/bocajail//"`
- echo "Internal directory is $cdir"
- cat <<EOF > runit.sh
-#!/bin/bash
-cd "$cdir"
-[ -f /proc/cpuinfo ] || /bin/mount -t proc proc /proc
-#/bin/mount --bind /dev /dev
-[ -d /sys/kernel ] || /bin/mount -t sysfs sysfs /sys
-$sf -r1 -F1000 -n0 -U$bocau -G$bocag -C. -ostdout0 -estderr0 -d$maxm -m$maxm -f20000 -t$ttime -T$ttime ./compileit.sh
-echo \$? > runit.retcode
-if [ ! -d /bocajail ]; then
- /bin/umount /proc 2>/dev/null
- #/bin/umount /dev
- /bin/umount /sys 2>/dev/null
-fi
-EOF
- chmod 755 runit.sh
- chroot /bocajail "$cdir/runit.sh"
- if [ -r runit.retcode ]; then
- ret=`cat runit.retcode`
- else
- ret=99
- fi
-else
- echo "COMPILATION IS NOT BEING CHROOTED -- THIS IS NOT AN IDEAL SETTING"
- $sf -r1 -F1000 -n0 -U$bocau -G$bocag -C. -ostdout0 -estderr0 -d$maxm -m$maxm -f20000 -t$ttime -T$ttime ./compileit.sh
- ret=$?
-fi
-if [ -f "stdout0" ]; then
- cat "stdout0"
-fi
-if [ -f "stderr0" ]; then
- cat "stderr0"
-fi
-rm -rf src/
-if [ "$ret" != "0" ]; then
- echo "Compilation Error: $ret"
- exit $ret
-fi
-ret=`cat compileit.retcode`
-if [ "$ret" != "0" ]; then
- echo "Compilation Error: $ret"
- ret=1
-fi
-exit $ret
diff --git a/boca-1.5.2/doc/problemexamples/formiga/description/formiga.txt b/boca-1.5.2/doc/problemexamples/formiga/description/formiga.txt
deleted file mode 100644
index 4cd89f0..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/description/formiga.txt
+++ /dev/null
@@ -1 +0,0 @@
-THIS IS THE FILE DESCRIBING THE PROBLEM! IT CAN BE A PDF OR ANY OTHER FORMAT...
diff --git a/boca-1.5.2/doc/problemexamples/formiga/description/problem.info b/boca-1.5.2/doc/problemexamples/formiga/description/problem.info
deleted file mode 100644
index 0bd73c3..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/description/problem.info
+++ /dev/null
@@ -1,3 +0,0 @@
-basename=formiga
-fullname=The formiga test problem
-descfile=formiga.txt
diff --git a/boca-1.5.2/doc/problemexamples/formiga/input/formiga b/boca-1.5.2/doc/problemexamples/formiga/input/formiga
deleted file mode 100644
index c9a59b2..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/input/formiga
+++ /dev/null
@@ -1,15 +0,0 @@
-1 1 Norte
-4 8 Norte
-3 2 Sul
-100000 100000 Oeste
-6 6 Sul
-4 13 Oeste
-4 14 Sul
-4 13 Leste
-640 648 Norte
-45 99998 Leste
-45 99995 Oeste
-99999 99998 Norte
-99999 99996 Oeste
-445 1157 Sul
-100000 0 Qqlixo
diff --git a/boca-1.5.2/doc/problemexamples/formiga/limits/c b/boca-1.5.2/doc/problemexamples/formiga/limits/c
deleted file mode 100644
index b5aec73..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/limits/c
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-# this executable shall output the number of second of timelimit in the first line, for the given problem and with language according to this filename
-echo 4
-# and the number of repetitions to run within the given timelimit in the second line
-echo 10
-# and the maximum amount of memory per repetition in the third line (in Mbytes)
-echo 512
-# and the maximum file size in the fourth line (in kbytes)
-echo 1024
-# and shall return zero to indicate no failure
-exit 0
-# the idea is that this file will be executed by the autojudge in the first time the autojudge downloads a problem, so as it will be
-# able to decide the proper time limit for the machine where it is running. If one wants to fix a predefined time limit, then it is
-# enough to write a script like this one with the desired value. Otherwise, one can build any more sophisticated program that outputs
-# the value.
diff --git a/boca-1.5.2/doc/problemexamples/formiga/limits/cpp b/boca-1.5.2/doc/problemexamples/formiga/limits/cpp
deleted file mode 100644
index b5aec73..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/limits/cpp
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-# this executable shall output the number of second of timelimit in the first line, for the given problem and with language according to this filename
-echo 4
-# and the number of repetitions to run within the given timelimit in the second line
-echo 10
-# and the maximum amount of memory per repetition in the third line (in Mbytes)
-echo 512
-# and the maximum file size in the fourth line (in kbytes)
-echo 1024
-# and shall return zero to indicate no failure
-exit 0
-# the idea is that this file will be executed by the autojudge in the first time the autojudge downloads a problem, so as it will be
-# able to decide the proper time limit for the machine where it is running. If one wants to fix a predefined time limit, then it is
-# enough to write a script like this one with the desired value. Otherwise, one can build any more sophisticated program that outputs
-# the value.
diff --git a/boca-1.5.2/doc/problemexamples/formiga/limits/java b/boca-1.5.2/doc/problemexamples/formiga/limits/java
deleted file mode 100644
index b5aec73..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/limits/java
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-# this executable shall output the number of second of timelimit in the first line, for the given problem and with language according to this filename
-echo 4
-# and the number of repetitions to run within the given timelimit in the second line
-echo 10
-# and the maximum amount of memory per repetition in the third line (in Mbytes)
-echo 512
-# and the maximum file size in the fourth line (in kbytes)
-echo 1024
-# and shall return zero to indicate no failure
-exit 0
-# the idea is that this file will be executed by the autojudge in the first time the autojudge downloads a problem, so as it will be
-# able to decide the proper time limit for the machine where it is running. If one wants to fix a predefined time limit, then it is
-# enough to write a script like this one with the desired value. Otherwise, one can build any more sophisticated program that outputs
-# the value.
diff --git a/boca-1.5.2/doc/problemexamples/formiga/output/formiga b/boca-1.5.2/doc/problemexamples/formiga/output/formiga
deleted file mode 100644
index 499641c..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/output/formiga
+++ /dev/null
@@ -1,14 +0,0 @@
-100% 0 Sul
- 25% 1 Leste
-100% 3 Oeste
- 0% 0 Leste
- 17% 0 Norte
-100% 15 Norte
- 50% 7 Leste
-100% 15 Sul
- 12% 159 Oeste
-100% 100041 Norte
- 20% 20006 Leste
-100% 199995 Leste
- 33% 66663 Sul
- 1% 16 Norte
diff --git a/boca-1.5.2/doc/problemexamples/formiga/run/c b/boca-1.5.2/doc/problemexamples/formiga/run/c
deleted file mode 100755
index b46e5f9..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/run/c
+++ /dev/null
@@ -1,128 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 22/aug/2012 by cassio@ime.usp.br
-#
-# parameters are:
-# $1 exe_file
-# $2 input_file
-# $3 timelimit (limit to run all the repetitions, by default only one repetition)
-# $4 number_of_repetitions_to_run (optional, can be used for better tuning the timelimit)
-# $5 maximum allowed memory (in MBytes)
-# $6 maximum allowed output size (in KBytes)
-#
-# the output of the submission should be directed to the standard output
-#
-# the return code show what happened (according to safeexec):
-# 0 ok
-# 1 compile error
-# 2 runtime error
-# 3 timelimit exceeded
-# 4 internal error
-# 5 parameter error
-# 6 internal error
-# 7 memory limit exceeded
-# 8 security threat
-# 9 runtime error
-# other_codes are unknown to boca: in this case BOCA will present the
-# last line of standard output to the judge
-
-umask 0022
-id -u bocajail >/dev/null 2>/dev/null
-if [ $? == 0 ]; then
- bocau=`id -u bocajail`
- bocag=`id -g bocajail`
- chown bocajail.nogroup .
-else
- bocau=`id -u nobody`
- bocag=`id -g nobody`
- chown nobody.nogroup .
-fi
-if [ "$bocau" == "" -o "$bocag" == "" ]; then
- echo "error finding user to run script"
- exit 43
-fi
-
-# this script makes use of safeexec to execute the code with less privilegies
-# make sure that directories below are correct.
-sf=`which safeexec`
-[ -x "$sf" ] || sf=/usr/bin/safeexec
-
-if [ "$1" == "" -o "$2" == "" -o "$3" == "" ]; then
- echo "parameter problem"
- exit 43
-fi
-if [ ! -x "$1" ]; then
- echo "$1 not found (or is not in the current dir) or it's not executable"
- exit 44
-fi
-if [ ! -r "$2" ]; then
- echo "$2 not found (or is not in the current dir) or it's not readable"
- exit 45
-fi
-if [ ! -x $sf ]; then
- echo "$sf not found or it's not executable"
- exit 46
-fi
-
-time=$3
-if [ "$time" -gt "0" ]; then
- let "ttime = $time + 30"
-else
- time=1
- ttime=30
-fi
-
-nruns=1
-if [ "$4" != "" ]; then
- if [ "$4" -gt "0" ]; then
- nruns=$4
- fi
-fi
-maxm=512000
-if [ "$5" != "" ]; then
- if [ "$5" -gt "0" ]; then
- maxm=${5}000
- fi
-fi
-maxf=1024
-if [ "$6" != "" ]; then
- if [ "$6" -gt "0" ]; then
- maxf=${6}
- fi
-fi
-
-cp "$2" stdin0 2>/dev/null
-cp "$1" run.exe 2>/dev/null
-
-file run.exe | grep -iq "statically linked"
-if [ "$?" != "0" ]; then
- echo "Aborting because $1 is not statically linked"
- exit 47
-fi
-
-cdir=`pwd`
-echo "Current directory is $cdir -- chrooting on it" >&2
-$sf -F10 -f$maxf -r$nruns -n1 -R$cdir -C. -U$bocau -G$bocag -ostdout0 -estderr0 -d$maxm -m$maxm -t$time -T$ttime -istdin0 ./run.exe
-ret=$?
-if [ $ret -gt 10 ]; then
- ret=0
-fi
-if [ -f stdout0 ]; then
- cat stdout0
-fi
-exit $ret
diff --git a/boca-1.5.2/doc/problemexamples/formiga/run/cpp b/boca-1.5.2/doc/problemexamples/formiga/run/cpp
deleted file mode 100755
index b46e5f9..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/run/cpp
+++ /dev/null
@@ -1,128 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 22/aug/2012 by cassio@ime.usp.br
-#
-# parameters are:
-# $1 exe_file
-# $2 input_file
-# $3 timelimit (limit to run all the repetitions, by default only one repetition)
-# $4 number_of_repetitions_to_run (optional, can be used for better tuning the timelimit)
-# $5 maximum allowed memory (in MBytes)
-# $6 maximum allowed output size (in KBytes)
-#
-# the output of the submission should be directed to the standard output
-#
-# the return code show what happened (according to safeexec):
-# 0 ok
-# 1 compile error
-# 2 runtime error
-# 3 timelimit exceeded
-# 4 internal error
-# 5 parameter error
-# 6 internal error
-# 7 memory limit exceeded
-# 8 security threat
-# 9 runtime error
-# other_codes are unknown to boca: in this case BOCA will present the
-# last line of standard output to the judge
-
-umask 0022
-id -u bocajail >/dev/null 2>/dev/null
-if [ $? == 0 ]; then
- bocau=`id -u bocajail`
- bocag=`id -g bocajail`
- chown bocajail.nogroup .
-else
- bocau=`id -u nobody`
- bocag=`id -g nobody`
- chown nobody.nogroup .
-fi
-if [ "$bocau" == "" -o "$bocag" == "" ]; then
- echo "error finding user to run script"
- exit 43
-fi
-
-# this script makes use of safeexec to execute the code with less privilegies
-# make sure that directories below are correct.
-sf=`which safeexec`
-[ -x "$sf" ] || sf=/usr/bin/safeexec
-
-if [ "$1" == "" -o "$2" == "" -o "$3" == "" ]; then
- echo "parameter problem"
- exit 43
-fi
-if [ ! -x "$1" ]; then
- echo "$1 not found (or is not in the current dir) or it's not executable"
- exit 44
-fi
-if [ ! -r "$2" ]; then
- echo "$2 not found (or is not in the current dir) or it's not readable"
- exit 45
-fi
-if [ ! -x $sf ]; then
- echo "$sf not found or it's not executable"
- exit 46
-fi
-
-time=$3
-if [ "$time" -gt "0" ]; then
- let "ttime = $time + 30"
-else
- time=1
- ttime=30
-fi
-
-nruns=1
-if [ "$4" != "" ]; then
- if [ "$4" -gt "0" ]; then
- nruns=$4
- fi
-fi
-maxm=512000
-if [ "$5" != "" ]; then
- if [ "$5" -gt "0" ]; then
- maxm=${5}000
- fi
-fi
-maxf=1024
-if [ "$6" != "" ]; then
- if [ "$6" -gt "0" ]; then
- maxf=${6}
- fi
-fi
-
-cp "$2" stdin0 2>/dev/null
-cp "$1" run.exe 2>/dev/null
-
-file run.exe | grep -iq "statically linked"
-if [ "$?" != "0" ]; then
- echo "Aborting because $1 is not statically linked"
- exit 47
-fi
-
-cdir=`pwd`
-echo "Current directory is $cdir -- chrooting on it" >&2
-$sf -F10 -f$maxf -r$nruns -n1 -R$cdir -C. -U$bocau -G$bocag -ostdout0 -estderr0 -d$maxm -m$maxm -t$time -T$ttime -istdin0 ./run.exe
-ret=$?
-if [ $ret -gt 10 ]; then
- ret=0
-fi
-if [ -f stdout0 ]; then
- cat stdout0
-fi
-exit $ret
diff --git a/boca-1.5.2/doc/problemexamples/formiga/run/java b/boca-1.5.2/doc/problemexamples/formiga/run/java
deleted file mode 100755
index d6a73a5..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/run/java
+++ /dev/null
@@ -1,183 +0,0 @@
-#!/bin/bash
-# ////////////////////////////////////////////////////////////////////////////////
-# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
-# //
-# // This program is free software: you can redistribute it and/or modify
-# // it under the terms of the GNU General Public License as published by
-# // the Free Software Foundation, either version 3 of the License, or
-# // (at your option) any later version.
-# //
-# // This program is distributed in the hope that it will be useful,
-# // but WITHOUT ANY WARRANTY; without even the implied warranty of
-# // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# // GNU General Public License for more details.
-# // You should have received a copy of the GNU General Public License
-# // along with this program. If not, see <http://www.gnu.org/licenses/>.
-# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 14/sept/2012 by cassio@ime.usp.br
-#
-# parameters are:
-# $1 main_class
-# $2 input_file
-# $3 timelimit (limit to run all the repetitions, by default only one repetition)
-# $4 number_of_repetitions_to_run (optional, can be used for better tuning the timelimit)
-# $5 maximum allowed memory (in MBytes)
-# $6 maximum allowed output size (in KBytes)
-#
-# the output of the submission should be directed to the standard output
-#
-# the return code show what happened (according to safeexec):
-# 0 ok
-# 1 compile error
-# 2 runtime error
-# 3 timelimit exceeded
-# 4 internal error
-# 5 parameter error
-# 6 internal error
-# 7 memory limit exceeded
-# 8 security threat
-# 9 runtime error
-# other_codes are unknown to boca: in this case BOCA will present the
-# last line of standard output to the judge
-
-umask 0022
-id -u bocajail >/dev/null 2>/dev/null
-if [ $? == 0 ]; then
- bocau=`id -u bocajail`
- bocag=`id -g bocajail`
- chown bocajail.nogroup .
-else
- bocau=`id -u nobody`
- bocag=`id -g nobody`
- chown nobody.nogroup .
-fi
-if [ "$bocau" == "" -o "$bocag" == "" ]; then
- echo "error finding user to run script"
- exit 43
-fi
-
-# this script makes use of safeexec to execute the code with less privilegies
-# make sure that directories below are correct.
-sf=`which safeexec`
-[ -x "$sf" ] || sf=/usr/bin/safeexec
-
-if [ "$1" == "" -o "$2" == "" -o "$3" == "" ]; then
- echo "parameter problem"
- exit 43
-fi
-if [ -r run.exe ]; then
- mv run.exe run.jar
-fi
-if [ -r "$1" ]; then
- mv "$1" run.jar
-fi
-if [ ! -r run.jar ]; then
- echo "ERROR: file run.jar not found - possible error during compilation"
- exit 1
-fi
-name="$1"
-if [ "${name##*.}" == "class" -a "${name##*.}" == "CLASS" ]; then
- echo "WARNING: removing .class file extension"
-fi
-if [ "${name##*.}" == "class" ]; then
- name=`basename "$1" .class`
-fi
-if [ "${name##*.}" == "CLASS" ]; then
- name=`basename "$1" .CLASS`
-fi
-if [ ! -r "$2" ]; then
- echo "$2 not found (or is not in the current dir) or it's not readable"
- exit 45
-fi
-if [ ! -x $sf ]; then
- echo "$sf not found or it's not executable"
- exit 46
-fi
-
-time=$3
-if [ "$time" -gt "0" ]; then
- let "ttime = $time + 30"
-else
- time=1
- ttime=30
-fi
-
-nruns=1
-if [ "$4" != "" ]; then
- if [ "$4" -gt "0" ]; then
- nruns=$4
- fi
-fi
-maxm=512000
-if [ "$5" != "" ]; then
- if [ "$5" -gt "0" ]; then
- maxm=${5}000
- fi
-fi
-maxf=1024
-if [ "$6" != "" ]; then
- if [ "$6" -gt "0" ]; then
- maxf=${6}
- fi
-fi
-
-rm -f runit.retcode 2>/dev/null
-cp "$2" stdin0 2>/dev/null
-
-cdir=`pwd`
-echo "Current directory is $cdir" >&2
-echo $cdir | grep -q "/bocajail"
-if [ $? == 0 ]; then
- cdir=`echo $cdir | sed "s/.*\/bocajail//"`
- cat <<EOF > runit.sh
-#!/bin/bash
-cd "$cdir"
-[ -f /proc/cpuinfo ] || /bin/mount -t proc proc /proc
-#/bin/mount --bind /dev /dev
-[ -d /sys/kernel ] || /bin/mount -t sysfs sysfs /sys
-java=`which java`
-[ -x "\$java" ] || java=/usr/bin/java
-if [ ! -x \$java ]; then
- echo "\$java not found or it's not executable"
- exit 47
-fi
-export CLASSPATH=.:./run.jar:$CLASSPATH
-$sf -r$nruns -t$time -T$ttime -istdin0 -F256 -u256 -ostdout0 -estderr0 -U$bocau -G$bocag -n0 -C. -f20000 -d20000000 -m20000000 -- \$java -Xmx${maxm}K -Xms${maxm}K "$name"
-echo \$? > runit.retcode
-if [ ! -d /bocajail ]; then
- /bin/umount /proc 2>/dev/null
- #/bin/umount /dev
- /bin/umount /sys 2>/dev/null
-fi
-EOF
- chmod 755 runit.sh
- chroot /bocajail "$cdir/runit.sh"
- if [ -r runit.retcode ]; then
- ret=`cat runit.retcode`
- fi
- if [ "$ret" == "" ]; then
- echo "Execution error - check autojudging"
- exit 49
- fi
-else
- echo "CODE NOT BEING CHROOTED. DO NOT RUN THIS ON THE MAIN SERVER" >&2
- echo "CODE NOT BEING CHROOTED. DO NOT RUN THIS ON THE MAIN SERVER" >&2
- echo "CODE NOT BEING CHROOTED. DO NOT RUN THIS ON THE MAIN SERVER" >&2
- java=`which java`
- [ -x "$java" ] || java=/usr/bin/java
- if [ ! -x $java ]; then
- echo "$java not found or it's not executable"
- exit 47
- fi
- $sf -r$nruns -t$time -T$ttime -istdin0 -F256 -u256 -U$bocau -G$bocag -ostdout0 -estderr0 -n0 -C. -d20000000 -m20000000 -- $java -cp run.jar -Xmx${maxm}K -Xms${maxm}K "$name"
- ret=$?
-fi
-if [ $ret -gt 10 ]; then
- echo "> > > > > > > Nonzero return code - possible runtime error - I'M GUESSING IT IS RUNTIME ERROR < < < < < < < <"
- ret=9
-fi
-if [ -f stdout0 ]; then
- cat stdout0
-fi
-exit $ret
diff --git a/boca-1.5.2/doc/problemexamples/formiga/tests/c b/boca-1.5.2/doc/problemexamples/formiga/tests/c
deleted file mode 100755
index de0a9c5..0000000
--- a/boca-1.5.2/doc/problemexamples/formiga/tests/c
+++ /dev/null
@@ -1,36 +0,0 @@
-#!/bin/bash
-#
-# This file performs a test of the autojudge system. It can run whatever you feel important to test the autojudge
-# and the script files that are included in the problem package
-
-cat > test.c <<EOF
-#include<stdio.h>
-int main() {
- char s[100];
- scanf("%s", s);
- printf("%s\n",s);
- return 0;
-}
-EOF
-cat > test.in <<EOF
-inputdata
-EOF
-
-TL=2
-REP=10
-chmod 755 ../compile/c
-../compile/c test.c test.exe $TL
-chmod 755 ../run/c
-../run/c test.exe test.in $TL $REP
-if [ -r stdout0 ]; then
- output=`cat stdout0`
- if [ "$output" != "inputdata" ]; then
- echo "ERROR"
- exit 1
- fi
-else
- echo "ERROR"
- exit 1
-fi
-echo "TEST PASSED"
-exit 0